## hildon-home-calendar 0.0.3-1

=== debian/changelog ===
hildon-home-calendar (0.0.3-1) unstable; urgency=low

  * Initial release

 -- Eveing <eveing@139.com>  Wed, 24 Apr 2013 17:46:54 +0800
