=== debian/control ===
Source: hildon-home-calendar
Section: user/desktop
Priority: optional
Maintainer: Eveing <eveing@139.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, osso-af-settings, libglib2.0-dev, libdbus-glib-1-dev, libhildon1-dev, libhildondesktop1-dev, python
Standards-Version: 3.6.0

Package: lunar-date-2.0
Section: user/libs
Architecture: armel
Depends: ${shlibs:Depends}
Replaces: hildon-home-calendar (=0.0.3)
Description: Lunar date

Package: hildon-home-calendar
Section: user/desktop
Architecture: armel
Depends: ${shlibs:Depends}, libhildondesktop1, lunar-date-2.0
Description: Lunar plugin for Hildon Desktop
 中国农历桌面插件
 自定义节日、纪念日：/home/user/.config/liblunar/holidat.dat
 背景图片：/opt/home-calendar/background.png
     大小：186x170
