## hildon-home-calendar 0.0.4

=== debian/changelog ===
hildon-home-calendar (0.0.4) unstable; urgency=low

  * Use alarmd.

 -- Eveing <eveing@139.com>  Fri, 13 Dec 2013 17:33:35 +0800

hildon-home-calendar (0.0.3) unstable; urgency=low

  * Initial release

 -- Eveing <eveing@139.com>  Wed, 24 Apr 2013 17:46:54 +0800
