## hildon-home-calendar 0.0.5

=== debian/changelog ===
hildon-home-calendar (0.0.5) unstable; urgency=low

  * 24节气算法使用许剑伟老师的寿星天文历中的天文算法.

 -- Eveing <eveing@139.com>  Tue, 24 Dec 2013 17:17:43 +0800
