=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Eveing <eveing@139.com>
-Build-Depends: debhelper (>= 4.0.0), pkg-config, osso-af-settings, libglib2.0-dev, libdbus-glib-1-dev, libhildon1-dev, libhildondesktop1-dev, libalarm-dev, python
+Build-Depends: debhelper (>= 4.0.0), pkg-config, osso-af-settings, libglib2.0-dev, libdbus-glib-1-dev, libhildon1-dev, libhildondesktop1-dev, libalarm-dev, libalarm-dev, python
 Standards-Version: 3.6.0
 
 Package: lunar-date-2.0
